Roland Cloud VST plugins, compatible with 9.5 on Mac?

Discuss VST stuff here!
User avatar
musicman
Posts: 26
Joined: 09 Jun 2017

Post 09 Jun 2017

Are the Roland Cloud plugins compatible with 9.5 for Mac users?

Reason specs say they support VST2.4 yet for a Mac user the Roland plugins seem to specify 3.6 only? I didn't whether that meant up to VST3.6 or just 3.6

Cheers
Neil

User avatar
musicman
Posts: 26
Joined: 09 Jun 2017

Post 09 Jun 2017

Having now read the VST FAQs on this site. The answer is NO Reason 9.5 does not support VST3.6 so can't use Roland Cloud

User avatar
PeZiK
Posts: 30
Joined: 18 Jan 2015
Location: Iceland

Post 09 Jun 2017

I'm using it on Windows and it's working 100%. You have an option to choose either vst2 or 3 in the install process.

P.

User avatar
ebbhead
Posts: 24
Joined: 18 May 2017

Post 10 Jun 2017

Roland only allow you to install Audio Unit and VST3 versions on a Mac - I've asked Roland about this, knowing that Windows users have access to VST2 - and their answer was:

"Unfortunately, we are not providing VST 2.4 versions of PLUG-OUTs for Mac OS, as indicated in specification tab of our products' detail pages."

So I'm running mine (VST3 version) inside DDMF Metaplugin - and for a workaround it's ok.

User avatar
Despondo
Posts: 693
Joined: 15 Jan 2015
Location: Ottawa, Canada

Post 12 Jun 2017

ebbhead wrote:Roland only allow you to install Audio Unit and VST3 versions on a Mac - I've asked Roland about this, knowing that Windows users have access to VST2 - and their answer was:

"Unfortunately, we are not providing VST 2.4 versions of PLUG-OUTs for Mac OS, as indicated in specification tab of our products' detail pages."

So I'm running mine (VST3 version) inside DDMF Metaplugin - and for a workaround it's ok.
I wrote this to Roland support regarding the MacOS VST versions.

"Hello, As you may have heard, Reason 9.5 now supports VST devices. I have been a Reason user since its inception in 2001 and am quite excited to now be able to access and use the multitude of VST devices out there. The problem is, I cannot access Roland Cloud devices at all since you have chosen to ignore the VST2.4 versions for Mac. They are only offered on PC. If you would like to have a bunch of new customers, including me, signing up for Roland Cloud, I would implore you to make VST2.4 versions for us to use. Thanks for your consideration."

And their response was this:

"The Anthology instruments on the Mac support VST2, the others (Legendary, AIRA, FLAVR) don't. Steinberg stopped supporting VST2 in 2013, but there are a variety of third-party VST wrapper apps that allow the use of VST3 plugins in a VST2 environment."

Kind of lame if you ask me, but I guess they are looking to the future and not the stable past.

I hope Reason will eventually support VST3 in a later version.

User avatar
EnochLight
Moderator
Posts: 6812
Joined: 17 Jan 2015

Post 12 Jun 2017

Despondo wrote:I hope Reason will eventually support VST3 in a later version.
I'm willing to wager - literally bet the farm - that if Propellerhead don't get enough requests for VST3 support, they will largely ignore it. :(

That said, I'm using Roland Cloud plugouts on Windows 10, so this doesn't affect me... for now. I fear they may pull support at a future date, which scares the hell out of me as the only reason I subscribe to Roland Cloud is to pay $240 over the next 11-12 months to get a permanent license for their Juno 106.
Win 10 | Reason 11 Suite |  Studio 1 4.6 | i7 3770k @ 3.5 Ghz | 16 GB RAM | Reactor 1TB SSD | RME Babyface Pro | Panorama P-4 | Akai MPC Live 2 & Force | Roland System 8, TR-8 7x7 Expansion, MX1, JX8P, TB3 | Ensoniq SQ1 Plus | Korg Minilogue XD

  • Information
  • Who is online

    Users browsing this forum: Ahornberg, CommonCrawl [Bot] and 2 guests